This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 733753 - Test configuration of auth. session timeout (after which the user is logged out) in /etc/sysconfig/luci
Test configuration of auth. session timeout (after which the user is logged o...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jan Pokorný
Cluster QE
: Documentation, TestOnly
Depends On: 639075 731856
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-26 13:30 EDT by Jan Pokorný
Modified: 2013-06-10 10:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Since RHEL 6.3, luci authenticated sessions will automatically timeout after 15 minutes of inactivity. This period is customizable in /etc/sysconfig/luci by modifying the "who.auth_tkt_timeout" parameter. It is important to note that the only valid values are 0 (no timeout) and values above 60 seconds (i.e. greater than one minute).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 08:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 394843 None None None Never

  None (edit)
Description Jan Pokorný 2011-08-26 13:30:08 EDT
Actually, this is already in since luci 0.23/RHEL 6.1 that initially
(talking about a "new-gen" luci 0.20+) enabled user to configure some
of the aspects of luci via /etc/sysconfig/luci, item from the summary
being amongst them.  It originated in upstream change related to
RFE/bug #661386.

But there are some catches:

1. such user configuration has not been documented yet: bug 731856

2. the first version we can expect to make discussed configuration item
   effective is RHEL 6.3 (not much desirably, things got stuck a bit
   in this regard): bug 639075

Apparently, this was filled mainly for smooth integration with the above bugs.
Comment 1 Jan Pokorný 2011-09-29 13:14:44 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
(preliminary)
Since RHEL 6.3, luci authenticated session will
automatically timeout after 15 (?) minutes.
This period is customizable in /etc/sysconfig/luci
by modifying "who.auth_tkt_timeout" parameter.
Comment 3 Jan Pokorný 2011-10-11 09:18:37 EDT
Another thing related to session timeout:

Should we provide a graphic indication of time remaining?
I've actually seen this on some sites.
Comment 5 Ryan McCabe 2012-04-03 12:13:15 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,5 +1,5 @@
 (preliminary)
-Since RHEL 6.3, luci authenticated session will
-automatically timeout after 15 (?) minutes.
+Since RHEL 6.3, luci authenticated sessions will
+automatically timeout after 15 minutes of inactivity.
 This period is customizable in /etc/sysconfig/luci
-by modifying "who.auth_tkt_timeout" parameter.+by modifying the "who.auth_tkt_timeout" parameter.
Comment 11 Lon Hohberger 2012-05-11 11:17:30 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -2,4 +2,6 @@
 Since RHEL 6.3, luci authenticated sessions will
 automatically timeout after 15 minutes of inactivity.
 This period is customizable in /etc/sysconfig/luci
-by modifying the "who.auth_tkt_timeout" parameter.+by modifying the "who.auth_tkt_timeout" parameter.
+
+It is important to note that the only valid values 0 (no timeout) and values above 60 seconds (i.e. greater than one minute).
Comment 12 Lon Hohberger 2012-05-11 11:18:33 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -4,4 +4,4 @@
 This period is customizable in /etc/sysconfig/luci
 by modifying the "who.auth_tkt_timeout" parameter.
 
-It is important to note that the only valid values 0 (no timeout) and values above 60 seconds (i.e. greater than one minute).+It is important to note that the only valid values are 0 (no timeout) and values above 60 seconds (i.e. greater than one minute).
Comment 13 Lon Hohberger 2012-05-11 11:18:54 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1,3 @@
-(preliminary)
 Since RHEL 6.3, luci authenticated sessions will
 automatically timeout after 15 minutes of inactivity.
 This period is customizable in /etc/sysconfig/luci
Comment 17 errata-xmlrpc 2012-06-20 08:17:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0766.html

Note You need to log in before you can comment on or make changes to this bug.